Bug 448582 - Review Request: automoc - KDE4 Automoc
Review Request: automoc - KDE4 Automoc
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 14:02 EDT by Lorenzo Villani
Modified: 2008-06-01 07:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-01 07:04:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tuxbrewr: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Steven M. Parrish 2008-05-28 12:15:59 EDT
RPM passed rpmlint however would not build on X86_64 for F9  see build log here
http://koji.fedoraproject.org/koji/getfile?taskID=633421&name=build.log

Same for PPC64
http://koji.fedoraproject.org/koji/getfile?taskID=633456&name=build.log

Looks like an issue with {_libdir}
Comment 2 Rex Dieter 2008-05-28 12:24:04 EDT
Yep, CMakeLists.txt hard-codes
DESTINATION lib/automoc4
Comment 3 Rex Dieter 2008-05-28 12:27:45 EDT
scratch build with quick-n-dirty patch:
http://koji.fedoraproject.org/koji/taskinfo?taskID=633479

See also:
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/automoc/
Comment 4 Lorenzo Villani 2008-05-28 17:46:17 EDT
Spec URL: http://rpm.binaryhelix.org/SPECS/kde/automoc.spec
SRPM URL:
http://rpm.binaryhelix.org/SRPMS/automoc-1.0-0.2.20080527svn811390.fc9.src.rpm

* Wed May 28 2008 Lorenzo Villani <lvillani@binaryhelix.net> -
1.0-0.2.20080527svn811390
- Patched to make it build on other systems than i386 (thanks to Rex Dieter)

Comment 5 Rex Dieter 2008-05-28 18:47:11 EDT
Should also:
Requires: cmake
to account for ownership of:
%{_datadir}/cmake/Modules
Comment 6 Lorenzo Villani 2008-05-29 07:05:06 EDT
Spec URL: http://rpm.binaryhelix.org/SPECS/kde/automoc.spec
SRPM URL:
http://rpm.binaryhelix.org/SRPMS/automoc-1.0-0.3.20080527svn811390.fc9.src.rpm

* Thu May 29 2008 Lorenzo Villani <lvillani@binaryhelix.net> -
1.0-0.3.20080527svn811390
- Added 'cmake' to Requires

Comment 7 Steven M. Parrish 2008-05-29 17:34:16 EDT
rpmlint still likes it.  I dont see any other issues.
Comment 8 Steven M. Parrish 2008-05-29 17:35:07 EDT
Approved
Comment 9 Lorenzo Villani 2008-05-30 05:08:50 EDT
New Package CVS Request
=======================
Package Name: automoc
Short Description: KDE4 Automoc
Owners: arbiter,rdieter,kkofler,tuxbrewr
Branches: F-8 F-9
InitialCC:
Cvsextras Commits:
Comment 10 Lorenzo Villani 2008-05-30 05:19:51 EDT
New Package CVS Request
=======================
Package Name: automoc
Short Description: KDE4 Automoc
Owners: arbiter,rdieter,kkofler,tuxbrewr
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2008-05-30 16:16:15 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.